Skip to main content
GET
List Shift Assignments in Planner

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

plannerId
string<uuid>
required

The planner ID

Query Parameters

from
string<date>

Filter by date greater than or equal (Y-m-d)

Example:

"2026-02-01"

to
string<date>

Filter by date less than or equal (Y-m-d)

Example:

"2026-02-28"

employeeId[in]
string

Filter by employee IDs (comma-separated UUIDs)

type
enum<string>

Filter by assignment type. Omit to return both.

Available options:
shift,
freeDay
page
integer
default:1

Request a specific page

limit
integer
default:20

Items per page

Response

200 - application/json

Array of Objects

data
object[]
meta
object